Get Contacts
Note: This API endpoint is deprecated. Please use the Search Contacts endpoint instead.
GET https://services.leadconnectorhq.com/contacts/Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | Account Id |
startAfterId | string | No | UIaE1WjAwWKdlyD7osQI | Start After Id |
startAfter | number | No | 1603870249758 | Start Afte |
query | string | No | John | Contact Query |
limit | number | No | 20 | Limit Per Page records count. will allow maximum up to 100 and default will be 20 |
Responses
200 - Successful response
contacts(object[])id(string): Example:ocQHyuzHvysMo5N5VsXclocationId(string): Example:C2QujeCh8ZnC7al2InWRemail(string): Example:JohnDeo@gmail.comtimezone(string): Example:Asia/Calcuttacountry(string): Example:DEsource(string): Example:xyz formdateAdded(string): Example:2020-10-29T09:31:30.255ZcustomFields(object[])id(string): Example:MgobCB14YMVKuE4Ka8p1value(string): Example:name
tags(string[])businessId(string): Example:641c094001436dbc2081e642attributions(object[])url(string, required): Example:Trigger Linkcampaign(string)utmSource(string)utmMedium(string)utmContent(string)referrer(string): Example:https: //www.google.comcampaignId(string)fbclid(string)gclid(string): Example:CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCBmsclikid(string)dclid(string)fbc(string)fbp(string): Example:fb. 1.1674748390986.1171287961fbEventId(string): Example:Mozilla/5.0userAgent(string): Example:Mozilla/5.0ip(string): Example:58.111.106.198medium(string): Example:surveymediumId(string): Example:FglfHAn30PRwsZVyQlKp
followers(string[]): Example:641c094001436dbc2081e642
count(number): Example:10
{
"contacts": [
{
"id": "ocQHyuzHvysMo5N5VsXc",
"locationId": "C2QujeCh8ZnC7al2InWR",
"email": "JohnDeo@gmail.com",
"timezone": "Asia/Calcutta",
"country": "DE",
"source": "xyz form",
"dateAdded": "2020-10-29T09:31:30.255Z",
"customFields": [
{}
],
"tags": [
"nisi sint commodo amet",
"consequat"
],
"businessId": "641c094001436dbc2081e642",
"attributions": [
{}
],
"followers": "641c094001436dbc2081e642"
}
],
"count": 10
}400 - Bad Request
{}422 - Unprocessable Entity
{}Example
curl -X GET 'https://services.leadconnectorhq.com/contacts/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/contacts/', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/contacts/',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);